Index: doc/user/task.t
===================================================================
--- doc/user/task.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/task.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -1302,27 +1358,27 @@
     <TD ALIGN=center><STRONG>Mask Constant</STRONG></TD>
     <TD ALIGN=center><STRONG>Description</STRONG></TD></TR>
-<TR><TD ALIGN=center>PREEMPT</TD>
-    <TD ALIGN=center>PREEMPT_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}PREEMPT</TD>
+    <TD ALIGN=center>@value{RPREFIX}PREEMPT_MASK</TD>
     <TD ALIGN=center>enables preemption</TD></TR>
-<TR><TD ALIGN=center>NO_PREEMPT</TD>
-    <TD ALIGN=center>PREEMPT_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}NO_PREEMPT</TD>
+    <TD ALIGN=center>@value{RPREFIX}PREEMPT_MASK</TD>
     <TD ALIGN=center>disables preemption</TD></TR>
-<TR><TD ALIGN=center>NO_TIMESLICE</TD>
-    <TD ALIGN=center>TIMESLICE_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}NO_TIMESLICE</TD>
+    <TD ALIGN=center>@value{RPREFIX}TIMESLICE_MASK</TD>
     <TD ALIGN=center>disables timeslicing</TD></TR>
-<TR><TD ALIGN=center>TIMESLICE</TD>
-    <TD ALIGN=center>TIMESLICE_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}TIMESLICE</TD>
+    <TD ALIGN=center>@value{RPREFIX}TIMESLICE_MASK</TD>
     <TD ALIGN=center>enables timeslicing</TD></TR>
-<TR><TD ALIGN=center>ASR</TD>
-    <TD ALIGN=center>ASR_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}ASR</TD>
+    <TD ALIGN=center>@value{RPREFIX}ASR_MASK</TD>
     <TD ALIGN=center>enables ASR processing</TD></TR>
-<TR><TD ALIGN=center>NO_ASR</TD>
-    <TD ALIGN=center>ASR_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}NO_ASR</TD>
+    <TD ALIGN=center>@value{RPREFIX}ASR_MASK</TD>
     <TD ALIGN=center>disables ASR processing</TD></TR>
-<TR><TD ALIGN=center>INTERRUPT_LEVEL(0)</TD>
-    <TD ALIGN=center>INTERRUPT_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}INTERRUPT_LEVEL(0)</TD>
+    <TD ALIGN=center>@value{RPREFIX}INTERRUPT_MASK</TD>
     <TD ALIGN=center>enables all interrupts</TD></TR>
-<TR><TD ALIGN=center>INTERRUPT_LEVEL(n)</TD>
-    <TD ALIGN=center>INTERRUPT_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}INTERRUPT_LEVEL(n)</TD>
+    <TD ALIGN=center>@value{RPREFIX}INTERRUPT_MASK</TD>
     <TD ALIGN=center>sets interrupts level n</TD></TR>
   </TABLE>
@@ -1372,5 +1428,6 @@
 This directive will not cause the running task to be preempted.
 
-If id is set to @code{@value{RPREFIX}SELF}, the calling task accesses its own notepad.
+If id is set to @code{@value{RPREFIX}SELF},
+the calling task accesses its own notepad.
 
 @c This version of the paragraph avoids the overfull hbox error.
@@ -1424,6 +1481,6 @@
 
 @subheading NOTES:
-If id is set to @code{@value{RPREFIX}SELF}, the calling task accesses its own notepad
-locations.
+If id is set to @code{@value{RPREFIX}SELF}, the calling
+task accesses its own notepad locations.
 
 This directive will not cause the running task to be preempted.
@@ -1471,10 +1528,11 @@
 This directive blocks the calling task for the specified number
 of system clock ticks.  When the requested interval has elapsed,
-the task is made ready.  The clock_tick directive automatically
-updates the delay period.
+the task is made ready.  The @code{@value{DIRPREFIX}clock_tick}
+directive automatically updates the delay period.
 
 @subheading NOTES:
-Setting the system date and time with the clock_set directive
-has no effect on a task_wake_after blocked task.
+Setting the system date and time with the
+@code{@value{DIRPREFIX}clock_set} directive
+has no effect on a @code{@value{DIRPREFIX}task_wake_after} blocked task.
 
 A task may give up the processor and remain in the ready state
Index: doc/user/timer.t
===================================================================
--- doc/user/timer.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/timer.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -66,8 +66,9 @@
 application to schedule operations to occur at specific times in
 the future.  User supplied timer service routines are invoked by
-the clock_tick directive when the timer fires.  Timer service
-routines may perform any operations or directives which normally
+the @code{@value{DIRPREFIX}clock_tick} directive
+when the timer fires.  Timer service routines may perform
+any operations or directives which normally
 would be performed by the application code which invoked the
-clock_tick directive.
+@code{@value{DIRPREFIX}clock_tick} directive.
 
 The timer can be used to implement watchdog routines
@@ -132,5 +133,5 @@
 @subsection Creating a Timer
 
-The timer_create directive creates a timer by
+The @code{@value{DIRPREFIX}timer_create} directive creates a timer by
 allocating a Timer Control Block (TMCB), assigning the timer a
 user-specified name, and assigning it a timer ID.  Newly created
@@ -146,9 +147,10 @@
 timer ID and assigns it to the created timer until it is
 deleted.  The timer ID may be obtained by either of two methods.
-First, as the result of an invocation of the timer_create
+First, as the result of an invocation of the
+@code{@value{DIRPREFIX}timer_create}
 directive, the timer ID is stored in a user provided location.
-Second, the timer ID may be obtained later using the timer_ident
-directive.  The timer ID is used by other directives to
-manipulate this timer.
+Second, the timer ID may be obtained later using the
+@code{@value{DIRPREFIX}timer_ident} directive.  The timer ID
+is used by other directives to manipulate this timer.
 
 @ifinfo
@@ -157,9 +159,9 @@
 @subsection Initiating an Interval Timer
 
-The timer_fire_after directive initiates a timer to
+The @code{@value{DIRPREFIX}timer_fire_after} directive initiates a timer to
 fire a user provided timer service routine after the specified
 number of clock ticks have elapsed.  When the interval has
 elapsed, the timer service routine will be invoked from the
-clock_tick directive.
+@code{@value{DIRPREFIX}clock_tick} directive.
 
 @ifinfo
@@ -168,9 +170,9 @@
 @subsection Initiating a Time of Day Timer
 
-The timer_fire_when directive initiates a timer to
+The @code{@value{DIRPREFIX}timer_fire_when} directive initiates a timer to
 fire a user provided timer service routine when the specified
 time of day has been reached.  When the interval has elapsed,
-the timer service routine will be invoked from the clock_tick
-directive.
+the timer service routine will be invoked from the
+@code{@value{DIRPREFIX}clock_tick} directive.
 
 @ifinfo
@@ -179,9 +181,10 @@
 @subsection Canceling a Timer
 
-The timer_cancel directive is used to halt the
+The @code{@value{DIRPREFIX}timer_cancel} directive is used to halt the
 specified timer.  Once canceled, the timer service routine will
 not fire unless the timer is reinitiated.  The timer can be
-reinitiated using the timer_reset, timer_fire_after, and
-timer_fire_when directives.
+reinitiated using the @code{@value{DIRPREFIX}timer_reset},
+@code{@value{DIRPREFIX}timer_fire_after}, and
+@code{@value{DIRPREFIX}timer_fire_when} directives.
 
 @ifinfo
@@ -190,9 +193,10 @@
 @subsection Resetting a Timer
 
-The timer_reset directive is used to restore an
+The @code{@value{DIRPREFIX}timer_reset} directive is used to restore an
 interval timer initiated by a previous invocation of
-timer_fire_after to its original interval length.  If the
+@code{@value{DIRPREFIX}timer_fire_after} to
+its original interval length.  If the
 timer has not been used or the last usage of this timer
-was by a timer_fire_when directive, then an error is
+was by a @code{@value{DIRPREFIX}timer_fire_when} directive, then an error is
 returned.  The timer service routine is not changed or
 fired by this directive.
@@ -203,5 +207,5 @@
 @subsection Deleting a Timer
 
-The timer_delete directive is used to delete a timer.
+The @code{@value{DIRPREFIX}timer_delete} directive is used to delete a timer.
 If the timer is running and has not expired, the timer is
 automatically canceled.  The timer's control block is returned
@@ -353,6 +357,7 @@
 
 This directive cancels the timer id.  This timer will
-be reinitiated by the next invocation of timer_reset,
-timer_fire_after, or timer_fire_when with id.
+be reinitiated by the next invocation of @code{@value{DIRPREFIX}timer_reset},
+@code{@value{DIRPREFIX}timer_fire_after}, or
+@code{@value{DIRPREFIX}timer_fire_when} with id.
 
 @subheading NOTES:
@@ -538,7 +543,9 @@
 This directive resets the timer associated with id.
 This timer must have been previously initiated with a
-timer_fire_after directive.  If active the timer is canceled,
+@code{@value{DIRPREFIX}timer_fire_after}
+directive.  If active the timer is canceled,
 after which the timer is reinitiated using the same interval and
-timer service routine which the original timer_fire_after
+timer service routine which the original
+@code{@value{DIRPREFIX}timer_fire_after}
 directive used.
 
@@ -546,5 +553,6 @@
 
 If the timer has not been used or the last usage of this timer
-was by a timer_fire_when directive, then the NOT_DEFINED error is
+was by a @code{@value{DIRPREFIX}timer_fire_when}
+directive, then the @code{@value{RPREFIX}NOT_DEFINED} error is
 returned. 
 
Index: doc/user/userext.t
===================================================================
--- doc/user/userext.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/userext.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -139,5 +139,6 @@
 
 Second, the user can install dynamic extensions using
-the extension_create directive.  These extensions are RTEMS
+the @code{@value{DIRPREFIX}extension_create}
+directive.  These extensions are RTEMS
 objects in that they have a name, an ID, and can be dynamically
 created and deleted.  In contrast to the static extension set,
@@ -608,5 +609,5 @@
 @subsection Creating an Extension Set
 
-The extension_create directive creates and installs
+The @code{@value{DIRPREFIX}extension_create} directive creates and installs
 an extension set by allocating a Extension Set Control Block
 (ESCB), assigning the extension set a user-specified name, and
@@ -624,9 +625,10 @@
 set until it is deleted.  The extension ID may be obtained by
 either of two methods.  First, as the result of an invocation of
-the extension_create directive, the extension set ID is stored
+the @code{@value{DIRPREFIX}extension_create}
+directive, the extension set ID is stored
 in a user provided location.  Second, the extension set ID may
-be obtained later using the extension_ident directive.  The
-extension set ID is used by other directives to manipulate this
-extension set.
+be obtained later using the @code{@value{DIRPREFIX}extension_ident}
+directive.  The extension set ID is used by other directives
+to manipulate this extension set.
 
 @ifinfo
@@ -635,5 +637,5 @@
 @subsection Deleting an Extension Set
 
-The extension_delete directive is used to delete an
+The @code{@value{DIRPREFIX}extension_delete} directive is used to delete an
 extension set.  The extension set's control block is returned to
 the ESCB free list when it is deleted.  An extension set can be
